***Generate Housing Graph for Bubbles and Crashes, Chapter 5

import delim using  HousingIndexCities_Monthly.txt, clear varnames(1) 
g dt = date(date,"YMD",1990)
format dt %td

label var atxrnsa "Atlanta"
label var atxrsa "Atlanta sa"
label var boxrnsa "Boston "
label var boxrsa "Boston"
label var cexrnsa "Cleveland "
label var cexrsa "Cleveland sa"
label var chxrnsa "Chicago "
label var chxrsa "Chicago sa"
label var crxrnsa "Charlotte "
label var crxrsa "Charlotte sa"
label var daxrnsa "Dallas "
label var daxrsa "Dallas"
label var dexrnsa "Detroit "
label var dexrsa "Detroit sa"
label var dnxrnsa "Denver "
label var dnxrsa "Denver sa"
label var lvxrnsa "Las Vegas "
label var lvxrsa "Las Vegas"
label var lxxrnsa "Los Angeles "
label var lxxrsa "Los Angeles sa"
label var mixrnsa "Miami "
label var mixrsa "Miami sa"
label var mnxrnsa "Minneapolis "
label var mnxrsa "Minneapolis sa"
label var nyxrcnsa "New York (Condo) "
label var nyxrcsa "New York (Condo) sa"
label var nyxrnsa "New York "
label var nyxrsa "New York"
label var phxrnsa "Phoenix "
label var phxrsa "Phoenix"
label var poxrnsa "Portland "
label var poxrsa "Portland sa"
label var sdxrnsa "San Diego "
label var sdxrsa "San Diego sa"
label var sexrnsa "Seattle "
label var sexrsa "Seattle sa"
label var sfxrcnsa "San Francisco (Condo) "
label var sfxrcsa "San Francisco (Condo) sa"
label var sfxrnsa "San Francisco "
label var sfxrsa "San Francisco"
label var spcs10rnsa "CS 10 City "
label var spcs10rsa "CS 10 City sa"
label var spcs20rnsa "CS 20 City "
label var spcs20rsa "CS 20 City sa"
label var tpxrnsa "Tampa "
label var tpxrsa "Tampa sa"
label var wdxrnsa "Washington DC "
label var wdxrsa "Washington DC sa"


gen yr = year(dt)

keep if yr >=2000 & yr <=2012
sort dt
/*foreach var in  atxrnsa   cexrsa    daxrnsa   dnxrsa    mixrnsa   nyxrcsa   poxrnsa   sexrsa    tpxrnsa /*
 */ atxrsa    chxrnsa   daxrsa    lvxrnsa   mixrsa    nyxrnsa   poxrsa    sfxrcnsa  tpxrsa /*
*/  boxrnsa   chxrsa    dexrnsa   lvxrsa    mnxrnsa   nyxrsa    sdxrnsa   sfxrcsa   wdxrnsa /*
*/ boxrsa    crxrnsa   dexrsa    lxxrnsa   mnxrsa    phxrnsa   sdxrsa    sfxrnsa   wdxrsa /*
*/ cexrnsa   crxrsa    dnxrnsa   lxxrsa    nyxrcnsa  phxrsa    sexrnsa   sfxrsa {

by dt: replace `var' = `var'/`var'[1]
}
*/
format %dccYY dt
set scheme s2mono

graph twoway line sfxrsa dt||line phxrsa dt || line lvxrsa dt || line nyxrsa dt || line daxrsa dt
graph save figure5_2, replace

